{
  "factory": {
    "id": "publickey-jaas-login-module",
    "type": "entaxy.security.jaas.loginmodule",
    "description": "For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/security/security-jaas.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://karaf.apache.org/manual/latest/security\">Karaf docs</a>",
    "isAbstract": false,
    "parent": "abstract-real-jaas-login-module-with-backend",
    "label": "",
    "category": ""
  },
  "entaxy.security.jaas.loginmodule": {
    "moduleClassName": "org.apache.karaf.jaas.modules.publickey.PublickeyLoginModule",
    "backendFactoryClassName": "org.apache.karaf.jaas.modules.publickey.PublickeyBackingEngineFactory"
  },
  "fields": {
    "module_users": {
      "displayName": "File Location",
      "description": "Specifies the path to the properties file containing public key information for authentication. By default, it is set to ./etc/keys.properties. For more details see <a target=\"_blank\" href=\"https://docs.entaxy.ru/entaxy-core/${project.version}/core/security/security-jaas.html\">Entaxy docs</a> and <a target=\"_blank\" href=\"https://karaf.apache.org/manual/latest/security\">Karaf docs</a>",
      "type": "String",
      "required": true,
      "defaultValue": "./etc/keys.properties"
    }
  },
  "outputs": {
    "init": {
      "fields": {
        "module_users": {}
      }
    }
  }
}
